Bug 105495 - FILEOPEN PPTX: Impress hangs when opening file that has shape with fill
Summary: FILEOPEN PPTX: Impress hangs when opening file that has shape with fill
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2017-01-23 23:50 UTC by Ofir
Modified: 2018-10-22 02:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
PPTX causing Impress to hang (29.60 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-01-23 23:52 UTC, Ofir
Details
PDF exported with PowerPoint 2013 showing expected result (3.47 KB, application/pdf)
2017-01-23 23:53 UTC, Ofir
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ofir 2017-01-23 23:50:53 UTC
Description:
Impress hangs when trying to open the attached PPTX.
Might be because the shape has "Picture or texture" fill.

Steps to Reproduce:
1. Open the attached PPTX in Impress

Actual Results:  
Impress hangs

Expected Results:
Open the presentation


Reproducible: Always

User Profile Reset: Yes

Additional Info:
Tested with Windows 7 and Ubuntu 16.04:

Version: 5.2.4.2
Build ID: 3d5603e1122f0f102b62521720ab13a38a4e0eb0
CPU Threads: 8; OS Version: Windows 6.1; UI Render: default; 
Locale: en-US (en_US); Calc: CL

Version: 5.3.0.2
Build ID: 5ad7b2889021c491af62f7930a4b1cb631392f16
CPU Threads: 1; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: group


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; rv:11.0) like Gecko
Comment 1 Ofir 2017-01-23 23:52:45 UTC
Created attachment 130643 [details]
PPTX causing Impress to hang
Comment 2 Ofir 2017-01-23 23:53:29 UTC
Created attachment 130644 [details]
PDF exported with PowerPoint 2013 showing expected result
Comment 3 tommy27 2017-01-24 11:02:34 UTC
confirmed under Win7 x64 using LibO 5.2.4.2
Comment 4 Aron Budea 2017-08-31 22:48:05 UTC
Hangs in 4.3.0.4 / Ubuntu 17.04.
Doesn't hang in 4.2.0.4 (but doesn't import the shape).
Let's treat it as a regression for the hang.
Comment 5 Xisco Faulí 2017-09-03 16:37:30 UTC
Regression introduced by:

author	Jan Holesovsky <kendy@collabora.com>	2014-02-03 23:33:14 (GMT)
committer	Jan Holesovsky <kendy@collabora.com>	2014-02-04 08:11:29 (GMT)
commit	e2eda70f2746f08376d8cdf5e5360df217335aef (patch)
tree	31051c577e388dc8f9730381e69e46a5735ae5cf
parent	56b404001ef83cc151727cc5a489dc493c6b65ec (diff)
startcenter: fdo#72469: Thumbnails also for other file types than ODF.

Bisected with bibisect-43max

Adding Cc: to Jan Holesovsky
Comment 6 Xisco Faulí 2017-09-03 16:45:30 UTC
(In reply to Aron Budea from comment #4)
> Hangs in 4.3.0.4 / Ubuntu 17.04.
> Doesn't hang in 4.2.0.4 (but doesn't import the shape).
> Let's treat it as a regression for the hang.

Reported in bug 112192
Comment 7 QA Administrators 2018-10-22 02:48:23 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug